<?php
session_start();
require("fphp.php");
$enlace = cargar_conexion();

$q = $_POST['q'];

$sql = "SELECT codigo, nombres, apellidos 
        FROM personal_antes_saireh 
        WHERE id='".$_SESSION['id_validar']."' 
        AND (codigo LIKE '%$q%' 
        OR nombres LIKE '%$q%' 
        OR apellidos LIKE '%$q%')
        AND status != 'I'
        LIMIT 10";

$res = mysqli_query($enlace, $sql);

while ($row = mysqli_fetch_assoc($res)) {
    echo "<div style='padding:5px; cursor:pointer;' 
            onclick=\"document.getElementById('cedula').value='".$row['codigo']."'; 
                     document.getElementById('sugerencias').innerHTML='';\">
            <b>".$row['codigo']."</b> - ".$row['nombres']." ".$row['apellidos']."
          </div>";
}
?>